Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.msu.cme.rdp.classifier.rrnaclassifier
Class ClassifierCmd

    java.lang.Object
      edu.msu.cme.rdp.classifier.rrnaclassifier.ClassifierCmd

    public class ClassifierCmd

extends java.lang.Object

This is the command line class to do the classification.

Field Summary
`private ClassificationResultFormatter.FORMAT` | `defaultFormat`
`static java.lang.String` | `FORMAT_DESC`
`static java.lang.String` | `FORMAT_LONG_OPT`
`static java.lang.String` | `FORMAT_SHORT_OPT`
`private static org.apache.commons.cli.Options` | `options`
`static java.lang.String` | `OUTFILE_DESC`
`static java.lang.String` | `OUTFILE_LONG_OPT`
`static java.lang.String` | `OUTFILE_SHORT_OPT`
`static java.lang.String` | `QUERYFILE_DESC`
`static java.lang.String` | `QUERYFILE_LONG_OPT`
`static java.lang.String` | `QUERYFILE_SHORT_OPT`
`static java.lang.String` | `TRAINPROPFILE_DESC`
`static java.lang.String` | `TRAINPROPFILE_LONG_OPT`
`static java.lang.String` | `TRAINPROPFILE_SHORT_OPT`

Constructor Summary
`ClassifierCmd()`

Method Summary
`void` | `doClassify(java.lang.String inputFile, java.lang.String outFile, java.lang.String propfile, ClassificationResultFormatter.FORMAT format)` It classifies query sequences from the input file.
`static void` | `main(java.lang.String[] args)` This is the main method to do classification.
`static void` | `printLicense()` Prints the license information to std err.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### options

    private static org.apache.commons.cli.Options options

### QUERYFILE_LONG_OPT

    public static final java.lang.String QUERYFILE_LONG_OPT

See Also:
  Constant Field Values

### OUTFILE_LONG_OPT

    public static final java.lang.String OUTFILE_LONG_OPT

See Also:
  Constant Field Values

### TRAINPROPFILE_LONG_OPT

    public static final java.lang.String TRAINPROPFILE_LONG_OPT

See Also:
  Constant Field Values

### FORMAT_LONG_OPT

    public static final java.lang.String FORMAT_LONG_OPT

See Also:
  Constant Field Values

### QUERYFILE_SHORT_OPT

    public static final java.lang.String QUERYFILE_SHORT_OPT

See Also:
  Constant Field Values

### OUTFILE_SHORT_OPT

    public static final java.lang.String OUTFILE_SHORT_OPT

See Also:
  Constant Field Values

### TRAINPROPFILE_SHORT_OPT

    public static final java.lang.String TRAINPROPFILE_SHORT_OPT

See Also:
  Constant Field Values

### FORMAT_SHORT_OPT

    public static final java.lang.String FORMAT_SHORT_OPT

See Also:
  Constant Field Values

### QUERYFILE_DESC

    public static final java.lang.String QUERYFILE_DESC

See Also:
  Constant Field Values

### OUTFILE_DESC

    public static final java.lang.String OUTFILE_DESC

See Also:
  Constant Field Values

### TRAINPROPFILE_DESC

    public static final java.lang.String TRAINPROPFILE_DESC

See Also:
  Constant Field Values

### FORMAT_DESC

    public static final java.lang.String FORMAT_DESC

See Also:
  Constant Field Values

### defaultFormat

    private ClassificationResultFormatter.FORMAT defaultFormat

Constructor Detail

### ClassifierCmd

    public ClassifierCmd()

Method Detail

### doClassify

    public void doClassify(java.lang.String inputFile,
                           java.lang.String outFile,
                           java.lang.String propfile,
                           ClassificationResultFormatter.FORMAT format)
                    throws java.io.IOException,
                           TrainingDataException,
                           SequenceParserException

  It classifies query sequences from the input file. If the property file of the mapping of the training files is not null, the default property file will be override. The classification results will be writen to the output file.

  Throws:
    `java.io.IOException`
    `TrainingDataException`
    `SequenceParserException`

### printLicense

    public static void printLicense()

  Prints the license information to std err.

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  This is the main method to do classification.

  Usage: java ClassifierCmd queryFile outputFile [property file].
  queryFile can be one of the following formats: Fasta, Genbank and EMBL.
  outputFile will be used to save the classification output.
  property file contains the mapping of the training files.
  Note: the training files and the property file should be in the same directory. The default property file is set to data/classifier/rRNAClassifier.properties.

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD